Opened 3 years ago

Last modified 3 years ago

#22037 closed enhancement

Upgrade to Python 2.7.13 — at Version 3

Reported by: jdemeyer Owned by:
Priority: blocker Milestone: sage-7.5
Component: packages: standard Keywords:
Cc: SimonKing, hivert, slelievre, charpent Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: #19735 Stopgaps:

Description (last modified by jdemeyer)

Python 2.7.13rc1 leads to problems with sage related to __new__. It is likely related to this change that was included in Python: https://bugs.python.org/issue5322

See the following discussion on sage-devel: https://groups.google.com/forum/#!topic/sage-devel/IbugChsM26E

But first we should upgrade to Python 2.7.12: #19735

Change History (4)

comment:1 Changed 3 years ago by thansen

  • Description modified (diff)

comment:2 Changed 3 years ago by thansen

  • Description modified (diff)

comment:3 Changed 3 years ago by jdemeyer

  • Description modified (diff)

Changed 3 years ago by thansen

This is a small example showing how the ClasscallMetaclass? leads to the error.

Note: See TracTickets for help on using tickets.